libebook::ZTXTParser Class Reference documentation

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::ZTXTParser Class Reference

`#include <ZTXTParser.h>`

Inheritance diagram for libebook::ZTXTParser:

## Public Member Functions
| ZTXTParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document=nullptr)
void | readAppInfoRecord (librevenge::RVNGInputStream *record) override
void | readSortInfoRecord (librevenge::RVNGInputStream *record) override
void | readIndexRecord (librevenge::RVNGInputStream *record) override
void | readDataRecord (librevenge::RVNGInputStream *record, bool=true) override
void | readDataRecords () override
Public Member Functions inherited from libebook::PDBParser
virtual | ~PDBParser ()=0
bool | parse ()
| Parse input and produce output to document.

## Static Public Member Functions
static bool | checkType (unsigned type, unsigned creator)

## Private Member Functions
void | openDocument ()
void | closeDocument ()
void | handleText (const librevenge::RVNGString &text)

## Private Attributes
unsigned | m_recordCount
unsigned | m_size
unsigned | m_recordSize

## Additional Inherited Members
Protected Member Functions inherited from libebook::PDBParser
| PDBParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, unsigned type, unsigned creator)
| Instantiate a parser for a document in Palm Database Format.
librevenge::RVNGTextInterface * | getDocument () const
| Get the document generator used for this parsing run.
const char * | getName () const
librevenge::RVNGInputStream * | getAppInfoRecord () const
| Return a stream for the format's appInfo record, if it is present.
librevenge::RVNGInputStream * | getIndexRecord () const
| Return a stream for the format's index record.
unsigned | getDataRecordCount () const
| Return the number of data records in the document.
librevenge::RVNGInputStream * | getDataRecord (unsigned n) const
| Return a stream for the n-th data record.
librevenge::RVNGInputStream * | getDataRecords () const
| Return a stream for all data records.
librevenge::RVNGInputStream * | getDataRecords (unsigned first, unsigned last) const
| Return a stream for data records in a given range.

## Constructor & Destructor Documentation

## ◆ ZTXTParser()

libebook::ZTXTParser::ZTXTParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document = nullptr )
| explicit

## Member Function Documentation

## ◆ checkType()

bool libebook::ZTXTParser::checkType | ( | unsigned | type,
|  | unsigned | creator )
| static

## ◆ closeDocument()

void libebook::ZTXTParser::closeDocument | ( |  | ) |
| private

Referenced by readDataRecords().

## ◆ handleText()

void libebook::ZTXTParser::handleText | ( | const librevenge::RVNGString & | text | ) |
| private

Referenced by readDataRecord().

## ◆ openDocument()

void libebook::ZTXTParser::openDocument | ( |  | ) |
| private

Referenced by readDataRecords().

## ◆ readAppInfoRecord()

void libebook::ZTXTParser::readAppInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overridevirtual

Implements libebook::PDBParser.

## ◆ readDataRecord()

void libebook::ZTXTParser::readDataRecord | ( | librevenge::RVNGInputStream * | record,
|  | bool | = true )
| overridevirtual

Implements libebook::PDBParser.

Referenced by readDataRecords().

## ◆ readDataRecords()

void libebook::ZTXTParser::readDataRecords | ( |  | ) |
| overridevirtual

Reimplemented from libebook::PDBParser.

## ◆ readIndexRecord()

void libebook::ZTXTParser::readIndexRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overridevirtual

Implements libebook::PDBParser.

## ◆ readSortInfoRecord()

void libebook::ZTXTParser::readSortInfoRecord | ( | librevenge::RVNGInputStream * | record | ) |
| overridevirtual

Implements libebook::PDBParser.

## Member Data Documentation

## ◆ m_recordCount

unsigned libebook::ZTXTParser::m_recordCount
| private

Referenced by readDataRecords(), readIndexRecord(), and ZTXTParser().

## ◆ m_recordSize

unsigned libebook::ZTXTParser::m_recordSize
| private

Referenced by readIndexRecord(), and ZTXTParser().

## ◆ m_size

unsigned libebook::ZTXTParser::m_size
| private

Referenced by readIndexRecord(), and ZTXTParser().

The documentation for this class was generated from the following files:

- ZTXTParser.h
- ZTXTParser.cpp